6.0.0-git
2019-04-25

[#9512] Chora problems with Non-ASCII character filenames
Summary Chora problems with Non-ASCII character filenames
Queue Chora
Queue Version 2.1.1
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester frust (at) iti (dot) cs (dot) tu-bs (dot) de
Created 2011-01-14 (3023 days ago)
Due
Updated 2012-04-12 (2569 days ago)
Assigned 2011-12-28 (2675 days ago)
Resolved 2012-04-12 (2569 days ago)
Milestone 3
Patch Yes

History
2012-04-12 16:13:14 Jan Schneider Comment #5
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Works fine with Chora 3.
2011-12-28 15:03:51 Jan Schneider Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2011-12-28 15:00:03 Jan Schneider Comment #4 Reply to this comment
Horde_Vcs at least doesn't seem to cause any such problems.
2011-12-28 14:59:49 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Add tests for Unicode file names (Bug #9512).

  4 files changed, 97 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/18761e815b2a3fdc308b4a6ca1c921c991b008ba
2011-11-30 16:39:44 Jan Schneider Comment #2
State ⇒ Feedback
Milestone ⇒ 3
Reply to this comment
We need to check if this is still an issue in Chora H4.
2011-01-14 12:21:04 frust (at) iti (dot) cs (dot) tu-bs (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Chora problems with Non-ASCII character filenames
Queue ⇒ Chora
Milestone ⇒
Patch ⇒ Yes
New Attachment: patches.zip Download
Reply to this comment

[Show Quoted Text - 10 lines]
  I did it mysqlf. Maybe someone is interrested in my solution.
  There needs to be done some clean-up to put it to public...
  It was needed to patch the horde/VC/svn.php, chora/annotate.php,
  chora/browse.php, chora/co.php, and chora/lib/Chora.php.

Best regards,
  Frank.

PS: > A simple rawurlencode() should do it too.
Please create a ticket on http://bugs.horde.org/.

Jan.
For the svn command, this maybe easier, OK.
But for the chora display I needed to convert (e.g. \?195\?156) first 
to utf-8 and then utf8_decode this string to be displayed correctly in 
chora. Don't know why utf-8 characters don't display correctly. My 
solution also just works for 2-byte utf-8!

Frank.

Saved Queries